Index: uspace/lib/c/generic/ns.c
===================================================================
--- uspace/lib/c/generic/ns.c	(revision 0dd16778197e5f50b6e77a71d9b8aeb33b2ad863)
+++ uspace/lib/c/generic/ns.c	(revision c8cec856c6988a864b5747338c5874abfee33cd1)
@@ -43,5 +43,5 @@
 {
 	async_exch_t *exch = async_exchange_begin(session_ns);
-	int rc = async_connect_to_me(exch, 0, service, 0, NULL, NULL);
+	int rc = async_connect_to_me(exch, 0, service, 0);
 	async_exchange_end(exch);
 	
@@ -49,30 +49,6 @@
 }
 
-async_sess_t *service_connect_iface(exch_mgmt_t mgmt, sysarg_t iface,
-    service_t service, sysarg_t arg3)
-{
-	async_exch_t *exch = async_exchange_begin(session_ns);
-	if (!exch)
-		return NULL;
-	
-	async_sess_t *sess =
-	    async_connect_me_to(mgmt, exch, iface, service, arg3);
-	async_exchange_end(exch);
-	
-	if (!sess)
-		return NULL;
-	
-	/*
-	 * FIXME Ugly hack to work around limitation of implementing
-	 * parallel exchanges using multiple connections. Shift out
-	 * first argument for non-initial connections.
-	 */
-	async_sess_args_set(sess, iface, arg3, 0);
-	
-	return sess;
-}
 
-async_sess_t *service_connect_iface_extended(service_t service, iface_t iface,
-    sysarg_t arg3)
+async_sess_t *service_connect(service_t service, iface_t iface, sysarg_t arg3)
 {
 	async_exch_t *exch = async_exchange_begin(session_ns);
@@ -97,52 +73,6 @@
 }
 
-async_sess_t *service_connect(exch_mgmt_t mgmt, service_t service, sysarg_t arg3)
-{
-	async_exch_t *exch = async_exchange_begin(session_ns);
-	if (!exch)
-		return NULL;
-	
-	async_sess_t *sess =
-	    async_connect_me_to(mgmt, exch, 0, service, arg3);
-	async_exchange_end(exch);
-	
-	if (!sess)
-		return NULL;
-	
-	/*
-	 * FIXME Ugly hack to work around limitation of implementing
-	 * parallel exchanges using multiple connections. Shift out
-	 * first argument for non-initial connections.
-	 */
-	async_sess_args_set(sess, 0, arg3, 0);
-	
-	return sess;
-}
-
-async_sess_t *service_connect_blocking_iface(exch_mgmt_t mgmt, sysarg_t iface,
-    service_t service, sysarg_t arg3)
-{
-	async_exch_t *exch = async_exchange_begin(session_ns);
-	if (!exch)
-		return NULL;
-	async_sess_t *sess =
-	    async_connect_me_to_blocking(mgmt, exch, iface, service, arg3);
-	async_exchange_end(exch);
-	
-	if (!sess)
-		return NULL;
-	
-	/*
-	 * FIXME Ugly hack to work around limitation of implementing
-	 * parallel exchanges using multiple connections. Shift out
-	 * first argument for non-initial connections.
-	 */
-	async_sess_args_set(sess, iface, arg3, 0);
-	
-	return sess;
-}
-
-async_sess_t *service_connect_blocking_iface_extended(service_t service,
-    iface_t iface, sysarg_t arg3)
+async_sess_t *service_connect_blocking(service_t service, iface_t iface,
+    sysarg_t arg3)
 {
 	async_exch_t *exch = async_exchange_begin(session_ns);
@@ -164,59 +94,4 @@
 }
 
-async_sess_t *service_connect_blocking(exch_mgmt_t mgmt, service_t service,
-    sysarg_t arg3)
-{
-	async_exch_t *exch = async_exchange_begin(session_ns);
-	async_sess_t *sess =
-	    async_connect_me_to_blocking(mgmt, exch, 0, service, arg3);
-	async_exchange_end(exch);
-	
-	if (!sess)
-		return NULL;
-	
-	/*
-	 * FIXME Ugly hack to work around limitation of implementing
-	 * parallel exchanges using multiple connections. Shift out
-	 * first argument for non-initial connections.
-	 */
-	async_sess_args_set(sess, 0, arg3, 0);
-	
-	return sess;
-}
-
-/** Create bidirectional connection with a service
- *
- * @param[in] service         Service.
- * @param[in] arg1            First parameter.
- * @param[in] arg2            Second parameter.
- * @param[in] arg3            Third parameter.
- * @param[in] client_receiver Message receiver.
- *
- * @return Session to the service.
- * @return Other error codes as defined by async_connect_to_me().
- *
- */
-async_sess_t *service_bind(service_t service, sysarg_t arg1, sysarg_t arg2,
-    sysarg_t arg3, async_port_handler_t client_receiver)
-{
-	/* Connect to the needed service */
-	async_sess_t *sess =
-	    service_connect_blocking(EXCHANGE_SERIALIZE, service, 0);
-	if (sess != NULL) {
-		/* Request callback connection */
-		async_exch_t *exch = async_exchange_begin(sess);
-		int rc = async_connect_to_me(exch, arg1, arg2, arg3,
-		    client_receiver, NULL);
-		async_exchange_end(exch);
-		
-		if (rc != EOK) {
-			async_hangup(sess);
-			errno = rc;
-			return NULL;
-		}
-	}
-	
-	return sess;
-}
 
 int ns_ping(void)
